Skip to main content
`Ctrl`+`K`

# PetscIgnoreErrorHandler

Deprecated, use `PetscReturnErrorHandler()`. Ignores the error, allows program to continue as if error did not occur

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIgnoreErrorHandler(MPI_Comm comm, int line, const char *fun, const char *file, PetscErrorCode n, PetscErrorType p, const char *mess, void *ctx)

Not Collective, No Fortran Support

## Input Parameters

- comm - communicator over which error occurred

- line - the line number of the error (indicated by LINE)

- fun - the function name

- file - the file in which the error was detected (indicated by FILE)

- mess - an error text string, usually just printed to the screen

- n - the generic error number

- p - specific error number

- ctx - error handler context

## Note

Users do not directly call this routine

## See Also

`PetscReturnErrorHandler()`

## Level

developer

## Location

src/sys/error/errtrace.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages